WordPress4.5アップデート時のjQueryエラー

WordPress4.5にアップデートしたところ、バンドルされているjQueryがバージョンアップし、属性セレクタのシンタックスが変更され、厳密になりました。

WordPress4.4.2

jQuery1.11.3

jQuery("a[href=#]"); //OK
jQuery("a[href='#']"); //OK

WordPress4.5

jQuery1.12.3

jQuery("a[href=#]"); //Syntax error
jQuery("a[href='#']"); //OK

テーマなどで緩いシンタックスを用いている場合、エラーが発生するため、修正が必要であるようです。